Subject: Re: [PATCH] git-cvsimport-script: handling of tags

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 06 Sep 2005 13:24:36 -0700

H. Peter Anvin wrote:
> H. Peter Anvin wrote:
> 
>> This patch changes git-cvsimport-script so that it creates tag objects 
>> instead of refs to commits, and adds an option, -u, to convert 
>> underscores in branch and tag names to dots (since CVS doesn't allow 
>> dots in branches and tags.)
>>
>> Pullable tree at master.kernel.org:/home/hpa/git/cvsimport.git/
> 
> 
> I should probably point out that there are still bugs in 
> git-cvsimport-script; for one thing, it seems to fail to register a tag 
> associated with the head, and I have yet to get the "recognize merge" 
> feature to actually work.  It's also possible -- but I haven't verified 
> it -- that two tags which are aliases may not be properly registered.
> 

I just verified this; git-cvsimport-script will not handle more than one 
tag per commit.

	-hpa